Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class V2TBSCertListGenerator

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.V2TBSCertListGenerator

public class V2TBSCertListGenerator
extends java.lang.Object

Generator for Version 2 TBSCertList structures.

      TBSCertList  ::=  SEQUENCE  {
           version                 Version OPTIONAL,
                                        -- if present, shall be v2
           signature               AlgorithmIdentifier,
           issuer                  Name,
           thisUpdate              Time,
           nextUpdate              Time OPTIONAL,
           revokedCertificates     SEQUENCE OF SEQUENCE  {
                userCertificate         CertificateSerialNumber,
                revocationDate          Time,
                crlEntryExtensions      Extensions OPTIONAL
                                              -- if present, shall be v2
                                     }  OPTIONAL,
           crlExtensions           [0]  EXPLICIT Extensions OPTIONAL
                                              -- if present, shall be v2
                                     }

Note: This class may be subject to change

Constructor Summary
`V2TBSCertListGenerator()`

Method Summary
`void` | `addCRLEntry(ASN1Sequence crlEntry)`
`void` | `addCRLEntry(DERInteger userCertificate, DERUTCTime revocationDate, int reason)`
`void` | `addCRLEntry(DERInteger userCertificate, Time revocationDate, int reason)`
`TBSCertList` | `generateTBSCertList()`
`void` | `setExtensions(X509Extensions extensions)`
`void` | `setIssuer(X509Name issuer)`
`void` | `setNextUpdate(DERUTCTime nextUpdate)`
`void` | `setNextUpdate(Time nextUpdate)`
`void` | `setSignature(AlgorithmIdentifier signature)`
`void` | `setThisUpdate(DERUTCTime thisUpdate)`
`void` | `setThisUpdate(Time thisUpdate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### V2TBSCertListGenerator

    public V2TBSCertListGenerator()

Method Detail

### setSignature

    public void setSignature(AlgorithmIdentifier signature)

### setIssuer

    public void setIssuer(X509Name issuer)

### setThisUpdate

    public void setThisUpdate(DERUTCTime thisUpdate)

### setNextUpdate

    public void setNextUpdate(DERUTCTime nextUpdate)

### setThisUpdate

    public void setThisUpdate(Time thisUpdate)

### setNextUpdate

    public void setNextUpdate(Time nextUpdate)

### addCRLEntry

    public void addCRLEntry(ASN1Sequence crlEntry)

### addCRLEntry

    public void addCRLEntry(DERInteger userCertificate,
                            DERUTCTime revocationDate,
                            int reason)

### addCRLEntry

    public void addCRLEntry(DERInteger userCertificate,
                            Time revocationDate,
                            int reason)

### setExtensions

    public void setExtensions(X509Extensions extensions)

### generateTBSCertList

    public TBSCertList generateTBSCertList()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD